package adf.sample.view;

import oracle.adf.view.rich.component.rich.RichPopup;

import org.apache.myfaces.trinidad.event.PollEvent;


public class DialogCloseBean {
    private RichPopup employeePopup;

    public DialogCloseBean() {
    }

    public void setEmployeePopup(RichPopup employeePopup) {
        this.employeePopup = employeePopup;
    }

    public RichPopup getEmployeePopup() {
        return employeePopup;
    }


    public void closeOnPoll(PollEvent pollEvent) {
        handleClose();
    }
    
    private void handleClose() {
        employeePopup.hide();
    }
}
